#include "MarkdownParser.h"

#include <sstream>
#include <iostream>

MarkdownParser::MarkdownParser()
    : mHtmlDocument(HtmlDocument::Create())
{

}

void MarkdownParser::ProcessLine(const std::string& line)
{

}

void MarkdownParser::Run(const std::string& content)
{
    std::stringstream ss(content);
    std::string line;
    while (std::getline(ss, line, '\n'))
    {
        ProcessLine(line);
    }
}

HtmlDocumentPtr MarkdownParser::GetHtml()
{
    return mHtmlDocument;
}
